
QGIS Application - Bug report #8189

Linear (Affine?) option always outputs (and applies) a 0 translation

2013-06-28 02:19 AM - alobo -

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17007

Description

The Linear option in the Raster Georeferencing plugin is always calculating a 0 for the Rotatio. I attach a clear example.

I think there has to be some error in the code (if Linear refers to Affine) that results on a 0 for this parameter no matter the input.

Agus

History

#1 - 2013-06-28 02:22 AM - alobo -

TTC2770v2_0_6geootbrot.tif is the rotated tif used for the test

https://dl.dropboxusercontent.com/u/3180464/TTC2770v2_0_6geootbrot.tif

TTC2770v2_0_6geo.tif is the reference (correct) image

https://dl.dropboxusercontent.com/u/3180464/TTC2770v2_0_6geo.tif

Points file:

https://dl.dropboxusercontent.com/u/3180464/TTC2770v2_0_6geootbrot.tif.points

#2 - 2013-06-28 02:24 AM - alobo -

- File deleted (TTC2770v2_0_6geootbrot.tif.points)

#3 - 2013-06-28 02:24 AM - alobo -

- File deleted (TTC2770v2_0_6geo.tif)

#4 - 2013-06-28 02:27 AM - Giovanni Manghi

- Category changed from Rasters to C++ Plugins

#5 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#6 - 2014-06-29 06:34 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#7 - 2014-10-26 09:29 AM - Jürgen Fischer

- Subject changed from Georeferencer: Linear (Affine?) option always outputs (and applies) a 0 translation to Linear (Affine?) option always outputs (and 

applies) a 0 translation

#8 - 2017-01-04 11:42 PM - Giovanni Manghi

- Priority changed from High to Normal

#9 - 2017-05-01 01:09 AM - Giovanni Manghi
https://dl.dropboxusercontent.com/u/3180464/TTC2770v2_0_6geootbrot.tif
https://dl.dropboxusercontent.com/u/3180464/TTC2770v2_0_6geo.tif
https://dl.dropboxusercontent.com/u/3180464/TTC2770v2_0_6geootbrot.tif.points


- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

georef_rot.jpeg 378 KB 2013-06-28 alobo -
